SoProfileElement(3)

NAME
SoProfileElement - The SoProfileElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoProfileElement.h>

Inherits SoAccumulatedElement.

  Public Types
enum Profile { START_FIRST, START_NEW, ADD_TO_CURRENT }

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void add (SoState *const state, SoProfile *const profile)
static const SoNodeList & get (SoState *const state)

  Protected Member Functions
virtual ~SoProfileElement ()

  Protected Attributes
SoNodeList profiles

  Additional Inherited Members

Detailed Description

The SoProfileElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoProfileElement::Profile
FIXME: write doc.

Constructor & Destructor Documentation

  SoProfileElement::~SoProfileElement (void) [protected], [virtual]
The destructor.

Member Function Documentation

  SoType SoProfileElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProfileElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoProfileElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoProfileElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

  void SoProfileElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoAccumulatedElement.

  void SoProfileElement::add (SoState *const state, SoProfile *const profile) [static]
Adds profile to the list of profiles.

  const SoNodeList & SoProfileElement::get (SoState *const state) [static]
Returns current list of profiles.

Member Data Documentation

  SoProfileElement::profiles [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.